#
# spec file for package python-certifi
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-certifi
Version:        2015.9.6.2
Release:        1.1
License:        MPL-2.0
Summary:        Python package for providing Mozilla's CA Bundle
Url:            https://pypi.python.org/pypi/certifi
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/c/certifi/certifi-%{version}.tar.gz
# PATCH-FIX-SUSE -- prefer SUSE certificates
Patch0:         python-certifi-shipped-requests-cabundle.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
%if 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildRequires:  ca-certificates
Requires:       ca-certificates
%endif
%else
BuildArch:      noarch
%endif

%description
This installable Python package contains a CA Bundle that you can reference
in your Python code. This is useful for verifying HTTP requests, for example.

This is the same CA Bundle which ships with the Requests codebase, and is
derived from Mozilla Firefox's canonical set.

%prep
%setup -q -n certifi-%{version}
%if 0%{?suse_version} && 0%{?suse_version} > 1110
%patch0 -p1
%endif

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%if 0%{?suse_version} && 0%{?suse_version} > 1110
rm %{buildroot}/%{python_sitelib}/certifi/cacert.pem
%endif

%files
%defattr(-,root,root,-)
%doc README.rst LICENSE
%{python_sitelib}/*

%changelog
* Sat Sep 26 2015 toddrme2178@gmail.com
- Update to version 2015.9.6.2:
  * Actually ship weak cert bundle.
  * Provide old cert bundle.
  * Use secure roots by default.
  * Update scripts to use mkcert.org
  * Concatenate the two roots
  * Add the needed 1024-bit roots
  * Move mkcert output to non-core file
- Fix dependencies on SLES 11
- Certifi is released under MPL-2.0; fix the license tag
- Rebase python-certifi-shipped-requests-cabundle.patch
* Wed Apr 22 2015 mcihar@suse.cz
- Initial packaging
